Generation Framework

## org.eclipse.gmf.gmfgraph
Interface FigureDescriptor

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, Identity, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  FigureDescriptorImpl

    public interface FigureDescriptor

extends Identity

A representation of the model object 'Figure Descriptor'. The thing describes structure of a figure

The following features are supported:

- `Actual Figure`
- `Accessors`

See Also:
  `GMFGraphPackage.getFigureDescriptor()`
** Generated **
Model:

Method Summary
`org.eclipse.emf.common.util.EList<ChildAccess>` `getAccessors()` Returns the value of the 'Accessors' containment reference list.
`Figure` `getActualFigure()` Returns the value of the 'Actual Figure' containment reference
`void` `setActualFigure(Figure value)` Sets the value of the '`Actual Figure`' containment reference

Methods inherited from interface org.eclipse.gmf.gmfgraph.Identity
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getActualFigure

    Figure getActualFigure()

  Returns the value of the 'Actual Figure' containment reference.

  If the meaning of the 'Actual Figure' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Actual Figure' containment reference.
  See Also:
    `setActualFigure(Figure)`, `GMFGraphPackage.getFigureDescriptor_ActualFigure()`
  ** Generated **
  Model:
    containment="true" required="true"

### setActualFigure

    void setActualFigure(Figure value)

  Sets the value of the '`Actual Figure`' containment reference.

  Parameters:
    `value` - the new value of the 'Actual Figure' containment reference.
  See Also:
    `getActualFigure()`
  ** Generated **

### getAccessors

    org.eclipse.emf.common.util.EList<ChildAccess> getAccessors()

  Returns the value of the 'Accessors' containment reference list. The list contents are of type `ChildAccess`. It is bidirectional and its opposite is '`Owner`'.

  If the meaning of the 'Accessors' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Accessors' containment reference list.
  See Also:
    `GMFGraphPackage.getFigureDescriptor_Accessors()`, `ChildAccess.getOwner()`
  ** Generated **
  Model:
    opposite="owner" containment="true"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.